Skip to main content
GET
/
facebook
/
scheduled_posts
Get Facebook posts
curl --request GET \
  --url https://scheduler.dashsocial.com/facebook/scheduled_posts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "brand_id": 1,
      "auto_publish": true,
      "message": "<string>",
      "media_ids": [
        1
      ],
      "timestamp": "2023-11-07T05:31:56Z",
      "first_comment": "<string>",
      "link": "<string>",
      "cover_image_media_id": 123,
      "location_id": "<string>",
      "thumb_offset": 123,
      "video_title": "<string>",
      "targeting": {
        "geo_locations": {
          "countries": [
            "<string>"
          ]
        }
      },
      "alt_text_media_map": {},
      "approval_requests": [
        {
          "brand_id": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "deleted_at": "2023-11-07T05:31:56Z",
          "id": 123,
          "post_id": 123,
          "requested_by_user_id": 123,
          "review_user_id": 123,
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "approval_status": "<string>",
      "board_ids": [
        1
      ],
      "campaign_ids": [
        1
      ],
      "content_tag_ids": [
        1
      ],
      "cover_image_media": {},
      "created_at": "2023-11-07T05:31:56Z",
      "has_scheduled_time": true,
      "id": 1,
      "link_preview": {
        "can_edit": true,
        "description": "<string>",
        "image": "<string>",
        "image_media_id": 123,
        "title": "<string>",
        "url": "<string>"
      },
      "live_post_url": "<string>",
      "location": {
        "id": "<string>",
        "is_verified": true,
        "link": "<string>",
        "location": {},
        "name": "<string>"
      },
      "media": [
        {}
      ],
      "num_of_approvals_required": 123,
      "post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rss_feed_id": 123,
      "rss_guid": "<string>",
      "rss_publish_date": "2023-11-07T05:31:56Z",
      "sort_index": 123,
      "source_id": "<string>",
      "subtitle_content": "<string>",
      "subtitle_error_message": "<string>",
      "subtitle_metadata": {
        "filename": "<string>"
      },
      "subtitle_upload_status": "<string>",
      "thumbnail_url": "<string>",
      "title": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "count": 123,
    "next": "<string>",
    "previous": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null

Number of posts to return per page

Required range: 0 <= x <= 1000
offset
integer
default:0

Starting position of posts to return

Required range: x >= 0
brand_id
integer

The ID of the brand the posts belong to. Required for non-application users.

Required range: x >= 0
brand_ids
integer[]

List of brand IDs for cross brand query (max 10).

Required array length: 1 - 10 elements
Required range: x >= 0
status
enum<string>[]

The status by which to filter posts.

Available options:
AUTOPUBLISHING,
DRAFT,
EXPIRED,
FAILED,
IMPORTED,
MISSING_APPROVALS,
PARTIALLY_FAILED,
POSTED,
SCHEDULED,
SKIPPED,
USERS_NOTIFIED
sort
enum<string>
default:TIMESTAMP

The metric to sort results by.

Available options:
-SORT_INDEX,
-TIMESTAMP,
-UPDATED_AT,
SORT_INDEX,
TIMESTAMP,
UPDATED_AT
start
string<date-time> | null

The start of the range from which to fetch posts by time stamp.

end
string<date-time> | null

The end date of the range of posts being fetched by time stamp.

has_scheduled_time
boolean | null

Indicates if the post has a scheduled timestamp.

source_ids
string[] | null

List of unique source ids.

resolve_references
boolean
default:true

Whether to resolve library references (media, boards, etc).

Response

OK

data
object[]

List of Facebook posts

paging
object

Pagination metadata